﻿using UnityEngine;
using System.Collections;

public class GameTimer : MonoBehaviour {
	public float timeLeft = 10.5f;
	public bool knockout = false;
	private Rect position;
	// Use this for initialization
	void Start () {
		this.position = new Rect(Screen.width/2.0f - 25.0f, 0.0f, 50.0f, 50.0f);
	}
	
	// Update is called once per frame
	void Update () {
		GameRules rules = this.gameObject.GetComponent<GameRules>();
		if(rules.status == GameRules.GameStatus.RoundPlaying) {
			this.timeLeft -= Time.deltaTime;
		}
	}
	void OnGUI() {
		GameRules rules = this.gameObject.GetComponent<GameRules>();
		GUIStyle guiStyle = new GUIStyle();
		guiStyle.fontSize = 32;
		string timerText = "Ready?";
		if(rules.status == GameRules.GameStatus.RoundPlaying) {
			if(this.timeLeft >= 10.0f) {
				timerText = "FIGHT!";
			}
			else if(this.timeLeft < 10.0f) {
				timerText = (((int)this.timeLeft+1)).ToString();
			}
		}
		else if(rules.status == GameRules.GameStatus.RoundOver) {
			if(rules.winner != null) {
				timerText = "KO!!";
			}
			else {
				if(this.timeLeft > 0.0f) {
					timerText = "DOUBLE KO!!";
				}
				else {
					timerText = "TIME!!";
				}
			}
		}
		GUI.Box(this.position, timerText, guiStyle);
	}
}
